Quassel IRC - Bug #44

Implement merging of queries
06/19/2007 10:23 PM - EgS

Status: Closed Start date:

Priority: Normal Due date:

Assignee: EgS % Done: 100%
Category: General / Unspecified Estimated time: 0.00 hour
Target version: 0.5.0

Version: 0.4.3 0S: Any
Description

One of the major features of Quassel: merging of queries
Sput and | discussed this earlier this day and actually there is not that much work to be done:

1.) in BufferTreeModel::mimeData():

- a check for the required mimetypes is missing

- get rid of the way the confirmation is implemented... the QMessageBox::Warning() is a pain in the Eye right there in the data
model... -

emit a mergeRequest (obviously...)

2.)

- tell the Core to merge the buffers in the storage
- inform the client that the old buffer id now points to a new buffer

3.) in Buffer:
- implement a method which takes the data of another buffer and includes it.

4))
- get rid of that other Buffer :)

| think that pretty much is it... 3)

History

#1 - 02/24/2008 01:23 PM - EgS

Reposting phone's note here:
one idea would be to create "virtual" channels in which you can see all the users which are currently available and by selecting one or many of them
you can choose the receipient of the message.

the users will have to be checked (Whois) periodically as it is a virtual channel (and therefore status-information will not be provided)

#2 - 02/24/2008 01:27 PM - EgS

| think there are two good ways, and that each user should have the possibility to chose between them:
1.) handle the target for sending automatically: | think that the last sender seems like a good target.
2.) let the user chose via context menu which user the target should be sent to.

#3 - 12/28/2008 01:50 AM - Sputnick
- Priority changed from High to Normal

#4 - 11/02/2009 09:26 PM - dalbers

- Status changed from New to Closed
- Target version set to 0.5.0

- % Done changed from 0 to 100

- Version set to 0.4.3

- OS set to Any
